/**
 * @class kSelectionListInt
 * @brief For selecting a int value based on weights
 */
class kSelectionListInt
{
public:

	kSelectionListInt &opAssign(const kSelectionListInt &in);
	const uint GetNumEntries(void);
	int& Select(const bool);
	void AddItem(int, const int);
};
